> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 批量排名

> 此端点将提供 `targets` 数组中指定的域名、子域名和页面的排名分数。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/backlinks/bulk_ranks/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/backlinks/bulk_ranks/live:
    post:
      summary: 批量排名
      description: >-
        此端点将提供 `targets` 数组中指定的域名、子域名和页面的排名分数。该分数基于指向指定域名、子域名或页面的引用域名数量。`rank`
        值表示请求日期的实时数据，范围从 0（未检测到反向链接）到 1,000（最高排名）。Google 的 Page Rank
        算法使用了类似的评分系统。有关排名分数的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what_is_rank_in_backlinks_api)
      operationId: post_dataforseo_backlinks_bulk_ranks_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                targets:
                  type: array
                  items:
                    type: string
                  description: >-
                    要获取排名的域名、子域名或网页 必填字段 最多可设置 1000 个域名、子域名或网页 域名或子域名应不含
                    https:// 和 www. 网页应使用绝对 URL（包括 http:// 或 https://）指定
                    示例："targets": [ "forbes.com", "cnn.com", "bbc.com",
                    "yelp.com", "https://www.apple.com/iphone/",
                    "https://ahrefs.com/blog/", "ibm.com",
                    "https://variety.com/", "https://stackoverflow.com/",
                    "www.trustpilot.com" ]
                rank_scale:
                  type: string
                  description: >-
                    定义用于计算和显示 rank、domain_from_rank 和 page_from_rank
                    值的刻度，可选字段。可以使用此参数选择以 0–100 或 0–1000 刻度显示排名值。可用值：one_hundred
                    — 排名值以 0–100 刻度显示；one_thousand — 排名值以 0–1000
                    刻度显示。默认值：one_thousand。有关此参数的工作方式及排名指标计算方法的更多信息，请参阅此帮助中心文章
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - targets
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含相关的反向链接和引用域名数据
                  tasks.result.items.target:
                    type: string
                    description: POST 数组中的域名、子域名或网页
                  tasks.result.items.rank:
                    type: integer
                    description: >-
                      目标值的 rank 表示请求日期的实时数据；rank 根据关联数据库中的节点排名方法计算，该原理曾用于最初的
                      Google PageRank 算法。有关该指标及其计算方式的更多信息，请参阅此帮助中心文章
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````